## tribler 6.0.0+svn20121015.r28821

=== Tribler/SwiftEngine/Makefile ===
LIBEVENT_HOME=/prod/pkgs/libevent-2.0.17

# Remove NDEBUG define to trigger asserts
CPPFLAGS+=-O2 -I. -DNDEBUG -Wall -Wno-sign-compare -Wno-unused -g -I${LIBEVENT_HOME}/include -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
LDFLAGS+=-levent -lstdc++

all: swift-dynamic

swift: swift.o sha1.o compat.o sendrecv.o send_control.o hashtree.o bin.o binmap.o channel.o transfer.o httpgw.o statsgw.o cmdgw.o avgspeed.o avail.o storage.o zerostate.o zerohashtree.o
	#nat_test.o

swift-static: swift
	g++ ${CPPFLAGS} -o swift *.o ${LDFLAGS} -static -lrt
	strip swift
	touch swift-static

swift-dynamic: swift
	g++ ${CPPFLAGS} -o swift *.o ${LDFLAGS} -L${LIBEVENT_HOME}/lib -Wl,-rpath,${LIBEVENT_HOME}/lib
	touch swift-dynamic

clean:
	rm *.o swift swift-static swift-dynamic2>/dev/null

.PHONY: all clean swift swift-static swift-dynamic

=== Tribler/SwiftEngine/SConstruct ===
# Written by Victor Grishchenko, Arno Bakker 
# see LICENSE.txt for license information
#
# Requirements:
#  - scons: Cross-platform build system    http://www.scons.org/
#  - libevent2: Event driven network I/O   http://www.libevent.org/
#    * Install in \build\libevent-2.0.14-stable
# For debugging:
#  - googletest: Google C++ Test Framework http://code.google.com/p/googletest/
#       * Install in \build\gtest-1.4.0
#


import os
import re
import sys

DEBUG = True

TestDir='tests'

target = 'swift'
source = [ 'bin.cpp', 'binmap.cpp', 'sha1.cpp','hashtree.cpp',
    	   'transfer.cpp', 'channel.cpp', 'sendrecv.cpp', 'send_control.cpp', 
    	   'compat.cpp','avgspeed.cpp', 'avail.cpp', 'cmdgw.cpp', 
           'storage.cpp', 'zerostate.cpp', 'zerohashtree.cpp']
# cmdgw.cpp now in there for SOCKTUNNEL

env = Environment()
if sys.platform == "win32":
    libevent2path = '\\build\\libevent-2.0.19-stable'
    #libevent2path = '\\build\\ttuki\\libevent-2.0.15-arno-http'

    # "MSVC works out of the box". Sure.
    # Make sure scons finds cl.exe, etc.
    env.Append ( ENV = { 'PATH' : os.environ['PATH'] } )

    # Make sure scons finds std MSVC include files
    if not 'INCLUDE' in os.environ:
        print "swift: Please run scons in a Visual Studio Command Prompt"
        sys.exit(-1)
        
    include = os.environ['INCLUDE']
    include += libevent2path+'\\include;'
    include += libevent2path+'\\WIN32-Code;'
    if DEBUG:
        include += '\\build\\gtest-1.4.0\\include;'
    
    env.Append ( ENV = { 'INCLUDE' : include } )
    
    if 'CXXPATH' in os.environ:
        cxxpath = os.environ['CXXPATH']
    else:
        cxxpath = ""
    cxxpath += include
    if DEBUG:
        env.Append(CXXFLAGS="/Zi /MTd")
        env.Append(LINKFLAGS="/DEBUG")
    else:
        env.Append(CXXFLAGS="/DNDEBUG") # disable asserts
    env.Append(CXXPATH=cxxpath)
    env.Append(CPPPATH=cxxpath)

    # getopt for win32
    source += ['getopt.c','getopt_long.c']
 
     # Set libs to link to
     # Advapi32.lib for CryptGenRandom in evutil_rand.obj
    libs = ['ws2_32','libevent','Advapi32'] 
    if DEBUG:
        libs += ['gtestd']
        
    # Update lib search path
    libpath = os.environ['LIBPATH']
    libpath += libevent2path+';'
    if DEBUG:
        libpath += '\\build\\gtest-1.4.0\\msvc\\gtest\\Debug;'

    # Somehow linker can't find uuid.lib
    libpath += 'C:\\Program Files\\Microsoft SDKs\\Windows\\v6.0A\\Lib;'
    
    # TODO: Make the swift.exe a Windows program not a Console program
    if not DEBUG:
    	env.Append(LINKFLAGS="/SUBSYSTEM:WINDOWS")
    
    APPSOURCE=['swift.cpp','httpgw.cpp','statsgw.cpp','getopt.c','getopt_long.c']
    
else:
    libevent2path = '/arno/pkgs/libevent-2.0.15-arno-http'

    # Enable the user defining external includes
    if 'CPPPATH' in os.environ:
        cpppath = os.environ['CPPPATH']
    else:
        cpppath = ""
        print "To use external libs, set CPPPATH environment variable to list of colon-separated include dirs"
    cpppath += libevent2path+'/include:'
    env.Append(CPPPATH=".:"+cpppath)
    #env.Append(LINKFLAGS="--static")

    #if DEBUG:
    #    env.Append(CXXFLAGS="-g")

    # Large-file support always
    env.Append(CXXFLAGS="-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE")

    # Set libs to link to
    libs = ['stdc++','libevent','pthread']
    if 'LIBPATH' in os.environ:
          libpath = os.environ['LIBPATH']
    else:
        libpath = ""
        print "To use external libs, set LIBPATH environment variable to list of colon-separated lib dirs"
    libpath += libevent2path+'/lib:'

    linkflags = '-Wl,-rpath,'+libevent2path+'/lib'
    env.Append(LINKFLAGS=linkflags);


    APPSOURCE=['swift.cpp','httpgw.cpp','statsgw.cpp']

if DEBUG:
    env.Append(CXXFLAGS="-DDEBUG")

env.StaticLibrary (
    target='libswift',
    source = source,
    LIBS=libs,
    LIBPATH=libpath )

env.Program(
   target='swift',
   source=APPSOURCE,
   #CPPPATH=cpppath,
   LIBS=[libs,'libswift'],
   LIBPATH=libpath+':.')

   
Export("env")
Export("libs")
Export("libpath")
Export("DEBUG")
# Arno: uncomment to build tests
#SConscript('tests/SConscript')

=== Tribler/Player/Build/Mac/Makefile ===
# Building on Mac OS/X requires:
# * Python 2.5
# * wxPython 2.8-unicode
# * py2app 0.3.6
# * swig, subversion (available through MacPorts)
# * XCode 2.4+
#
# Use lower versions at your own risk.

APPNAME=SwarmPlayer
PYTHON_VER=2.5
PWD:=${shell pwd}
ARCH:=${shell arch}

PYTHON=python${PYTHON_VER}

all:	clean SwarmPlayer-${ARCH}.dmg

clean:
	rm -rf build/imagecontents/ ${APPNAME}-${ARCH}.dmg

.PHONY: 		all clean dirs

# ----- SwarmPlayer 

APPRES=build/imagecontents/${APPNAME}.app/Contents/Resources

SRCDIR=../../../..

build/imagecontents/:
	rm -rf $@
	mkdir -p $@

	cd ${SRCDIR} && DYLD_LIBRARY_PATH=macbinaries PYTHONPATH=.:macbinaries ${PYTHON} -OO - < ${PWD}/setuptriblermac.py py2app
	mv ${SRCDIR}/dist/* $@

	# Thin everything for this architecture. Some things ship Universal (Python, wxPython, ...) and
	# others get a stub for the other architecture (things built by Universal Python)
	for i in `find build/imagecontents`; do ./smart_lipo_thin $$i; done

        # Replace any rogue references to local ones. For instance, some libraries are accidently
        # linked against /usr/local/lib/* or /opt/local/lib. Py2app puts them in the Frameworks dir,
        # but fails to correct the references in the binaries.
	#./process_libs build/imagecontents | bash -

	# Background
	mkdir -p $@/.background
	cp background.png $@/.background

	# Volume Icon
	cp VolumeIcon.icns $@/.VolumeIcon.icns

	# Shortcut to /Applications
	ln -s /Applications $@/Applications

	touch $@

${APPNAME}-${ARCH}.dmg:		build/imagecontents/ SLAResources.rsrc
	rm -f $@
	mkdir -p build/temp

	# create image
	hdiutil create -srcfolder $< -format UDRW -scrub -volname ${APPNAME} $@

	# open it
	hdiutil attach -readwrite -noverify -noautoopen $@ -mountpoint build/temp/mnt

	# make sure root folder is opened when image is
	bless --folder build/temp/mnt --openfolder build/temp/mnt
	# hack: wait for completion
	sleep 1

	# position items
	# oddly enough, 'set f .. as alias' can fail, but a reboot fixes that
	osascript -e "tell application \"Finder\"" \
	-e "   set f to POSIX file (\"${PWD}/build/temp/mnt\" as string) as alias" \
	-e "   tell folder f" \
	-e "       open" \
	-e "       tell container window" \
	-e "          set toolbar visible to false" \
	-e "          set statusbar visible to false" \
	-e "          set current view to icon view" \
	-e "          delay 1 -- Sync" \
	-e "          set the bounds to {50, 100, 1000, 1000} -- Big size so the finder won't do silly things" \
	-e "       end tell" \
	-e "       delay 1 -- Sync" \
	-e "       set icon size of the icon view options of container window to 128" \
	-e "       set arrangement of the icon view options of container window to not arranged" \
	-e "       set background picture of the icon view options of container window to file \".background:background.png\"" \
	-e "       set position of item \"${APPNAME}.app\" to {150, 140}" \
	-e "       set position of item \"Applications\" to {410, 140}" \
	-e "       set the bounds of the container window to {50, 100, 600, 400}" \
	-e "       update without registering applications" \
	-e "       delay 5 -- Sync" \
	-e "       close" \
	-e "   end tell" \
	-e "   -- Sync" \
	-e "   delay 5" \
	-e "end tell" || true

	# turn on custom volume icon
	/Developer/Tools/SetFile -a C build/temp/mnt || true

	# close
	hdiutil detach build/temp/mnt || true

	# make read-only
	mv $@ build/temp/rw.dmg
	hdiutil convert build/temp/rw.dmg -format UDZO -imagekey zlib-level=9 -o $@
	rm -f build/temp/rw.dmg

	# add EULA
	hdiutil unflatten $@
	/Developer/Tools/DeRez -useDF SLAResources.rsrc > build/temp/sla.r
	/Developer/Tools/Rez -a build/temp/sla.r -o $@
	hdiutil flatten $@

=== debian/changelog ===
tribler (6.0.0+svn20121015.r28821-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 16 Oct 2012 00:45:06 +0800

tribler (5.9.27+svn20120817.r27828-2) unstable; urgency=low

  * Calling dh_link with -ptribler in debian/rules (Closes: #686554)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 03 Sep 2012 17:02:09 +0800

tribler (5.9.27+svn20120817.r27828-1) unstable; urgency=low

  * Initial release (Closes: #511381)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 22 Aug 2012 00:02:58 +0800

=== debian/control ===
Source: tribler
Section: net
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), python, libevent-dev
Standards-Version: 3.9.3
Homepage: http://www.tribler.org/

Package: tribler
Architecture: all
Depends: ffmpeg,
         libjs-mootools,
         python-apsw,
         python-feedparser,
         python-m2crypto,
         python-netifaces,
         python-wxgtk2.8,
         tribler-swift,
         vlc (>= 1.1.0),
         ${misc:Depends},
         ${python:Depends}
Description: Python based Bittorrent/Internet TV application
 It allows you to watch videos and download content. Tribler aims to combine
 the ease of Youtube.com with the performance of peer-to-peer.
 .
 Tribler is backwards compatible with the Bittorrent download protocol. To
 discover interesting content standard RSS feeds with .torrent links are
 supported plus the "Tribe protocol" which automatically scans the network for
 available Bittorrent swarms upon startup. Tribler uses an embedded web
 browser to access video clips of Youtube.com and Liveleak.com. Other features
 are "People who like this also like" for recommending related swarms, the
 ability to make friends, and to donate idle upload capacity to friends. The
 later can improve download speed by a factor of two on asymmetric Internet
 links. The fastest way of social file sharing.

Package: tribler-swift
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Fast peer-to-peer file distribution helper program for tribler.
 Swift is a fast peer-to-peer file distribution protocol used to disseminate
 data within Tribler.
 .
 This package contains a helper program used by tribler.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_SOURCE := $(shell dpkg-parsechangelog | grep Source: | sed -e 's/Source: //')
DEB_VERSION := $(shell dpkg-parsechangelog | grep Version: | sed -e 's/Version: //')
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -e 's/-[^-]*$$//')
SVN_URL = http://svn.tribler.org/abc/branches/mainbranch/

%:
	dh $@ --with python2 

override_dh_auto_configure:
	chmod a-x Tribler/Tools/bitbucket-live-noauth.py
	chmod a-x Tribler/Tools/pipe-babscam-h264-nosound-mencoder.sh
	chmod a-x Tribler/Tools/pipe-babscam-h264-aac-gop-sync.sh
	chmod a-x Tribler/Tools/pipe-arnocam-home.sh
	chmod a-x Tribler/Tools/bitbucket-live.py
	chmod a-x Tribler/Tools/pipe-arnocam-jip.sh
	chmod a-x Tribler/Tools/pipe-babscam-h264-mp3.sh
	chmod a-x Tribler/Tools/pipe-babscam-mpeg4-mp3-sync.sh
	dh_auto_configure

override_dh_auto_build:
	make -C $(CURDIR)/Tribler/SwiftEngine
	dh_auto_build

override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Core/DecentralizedTracking/pymdht/LICENSE.txt
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/LICENSE.txt
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/vwxGUI/images/license
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/webUI/static/LICENSE
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/ns-LICENSE.txt
	rm -rf $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Test
	rm -rf $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/Build
	rm -rf $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Player/Build
	rm -rf $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Transport/Build
	rm -rf $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/SwiftEngine
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/Utility/Feeds/feedparser.py
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/webUI/static/mootools.js
	dh_link -ptribler usr/share/javascript/mootools/mootools.js usr/share/tribler/Tribler/Main/webUI/static/mootools.js

override_dh_auto_clean:
	make -C $(CURDIR)/Tribler/SwiftEngine clean || echo "SwiftEngine cleaned"
	dh_auto_clean

get-orig-source:
	set -e; if echo $(DEB_VERSION) | grep -c "svn"; \
	then \
		svn_version=`echo $(DEB_VERSION) | sed -e 's/^.*svn\([0-9]*\)*\.\(.*\)-.*$$/\2/g'`; \
	else \
		svn_version=$(DEB_UPSTREAM_VERSION); \
	fi; \
	tmpdir=`mktemp -d -t`; \
	cd $$tmpdir; \
	echo "checkout upstream repository ..."; \
	svn checkout --no-auth-cache --non-interactive --trust-server-cert --ignore-externals -r $$svn_version $(SVN_URL) tribler; echo "getting specific upstream revision/tag: $$svn_version"; \
	svn checkout --no-auth-cache --non-interactive --trust-server-cert -r $$svn_version http://svn.tribler.org/libswift/branches/arno/swift-like-ftp tribler/Tribler/SwiftEngine; echo "getting specific upstream revision/tag: $$svn_version"; \
	svn checkout --no-auth-cache --non-interactive --trust-server-cert -r $$svn_version http://svn.tribler.org/dispersy/trunk tribler/Tribler/dispersy; echo "getting specific upstream revision/tag: $$svn_version"; \
	tar --exclude=.svn --exclude='*.exe' --exclude='draft-ietf-ppsp-*' \
	-cJvf $(CURDIR)/$(DEB_SOURCE)_$(DEB_UPSTREAM_VERSION).orig.tar.xz `ls | head -n 1`; \
	cd $(CURDIR); \
	rm -rf $$tmpdir

## tribler 6.2.0%2Bgit20130731.149555fa

=== Tribler/SwiftEngine/doc/wireshark-dissector/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 31995 2010-02-24 22:32:10Z jmayer $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

set(DISSECTOR_SRC
	packet-swift.c
)

set(PLUGIN_FILES
	plugin.c
	${DISSECTOR_SRC}
)

set(CLEAN_FILES
	${PLUGIN_FILES}
)

if (WERROR)
	set_source_files_properties(
		${CLEAN_FILES}
		PROPERTIES
		COMPILE_FLAGS -Werror
	)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

register_dissector_files(plugin.c
	plugin
	${DISSECTOR_SRC}
)

add_library(swift ${LINK_MODE_MODULE}
	${PLUGIN_FILES}
)
set_target_properties(swift PROPERTIES PREFIX "")
set_target_properties(swift PROPERTIES SOVERSION ${CPACK_PACKAGE_VERSION})
set_target_properties(swift PROPERTIES LINK_FLAGS ${WS_LINK_FLAGS})

target_link_libraries(swift epan)

install(TARGETS swift
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION} NAMELINK_SKIP
	RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION}
)

## tribler 6.2.0+git20130731.149555fa

=== Tribler/SwiftEngine/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-LIBEVENT_HOME=/prod/pkgs/libevent-2.0.17
+LIBEVENT_HOME=/usr
 
 # Remove NDEBUG define to trigger asserts
 CPPFLAGS+=-O2 -I. -DNDEBUG -Wall -Wno-sign-compare -Wno-unused -g -I${LIBEVENT_HOME}/include -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
@@ -15,7 +15,7 @@
 	touch swift-static
 
 swift-dynamic: swift
-	g++ ${CPPFLAGS} -o swift *.o ${LDFLAGS} -L${LIBEVENT_HOME}/lib -Wl,-rpath,${LIBEVENT_HOME}/lib
+	g++ ${CPPFLAGS} -o swift *.o ${LDFLAGS} -L${LIBEVENT_HOME}/lib
 	touch swift-dynamic
 
 clean:

=== Tribler/SwiftEngine/SConstruct ===
--- 
+++ 
@@ -71,7 +71,7 @@
         libs += ['gtestd']
         
     # Update lib search path
-    libpath = os.environ['LIBPATH']
+    libpath = os.environ.get('LIBPATH','')
     libpath += libevent2path+';'
     if DEBUG:
         libpath += '\\build\\gtest-1.4.0\\msvc\\gtest\\Debug;'
@@ -98,11 +98,16 @@
     env.Append(CPPPATH=".:"+cpppath)
     #env.Append(LINKFLAGS="--static")
 
-    #if DEBUG:
-    #    env.Append(CXXFLAGS="-g")
+    if 'CXXFLAGS' in os.environ:
+        cxxflags = os.environ['CXXFLAGS']
+    else:
+        cxxflags = ""
+    if DEBUG:
+        cxxflags += " -g "
 
     # Large-file support always
-    env.Append(CXXFLAGS="-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE")
+    cxxflags += " -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE "
+    env.Append(CXXFLAGS=cxxflags)
 
     # Set libs to link to
     libs = ['stdc++','libevent','pthread']

=== Tribler/SwiftEngine/doc/wireshark-dissector/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# plugins/swift/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Makefile.am
# Automake file for swift plugin
# By Andrew Keating <andrewzkeating@gmail.com>
# Copyright 2011 Andrew Keating
#
# $Id$
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

# Makefile.common for Interlink plugin
#     Contains the stuff from Makefile.am and Makefile.nmake that is
#     a) common to both files and
#     b) portable between both files
#
# $Id$
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


pkgdatadir = $(datadir)/wireshark
pkgincludedir = $(includedir)/wireshark
pkglibdir = $(libdir)/wireshark
pkglibexecdir = $(libexecdir)/wireshark
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.common \
	$(srcdir)/Makefile.in AUTHORS COPYING ChangeLog
subdir = plugins/swift
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/aclocal-fallback/glib-2.0.m4 \
	$(top_srcdir)/aclocal-fallback/gtk-2.0.m4 \
	$(top_srcdir)/aclocal-fallback/libgcrypt.m4 \
	$(top_srcdir)/aclocal-fallback/libsmi.m4 \
	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(plugindir)"
LTLIBRARIES = $(plugin_LTLIBRARIES)
swift_la_DEPENDENCIES =
am__objects_1 = packet-swift.lo
am__objects_2 =
am_swift_la_OBJECTS = plugin.lo $(am__objects_1) $(am__objects_2)
swift_la_OBJECTS = $(am_swift_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
swift_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(swift_la_LDFLAGS) $(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC    " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD  " $@;
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
SOURCES = $(swift_la_SOURCES)
DIST_SOURCES = $(swift_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/andrewk/Documents/P2P/dissector/wireshark-1.4.7/missing --run aclocal-1.11
ADNS_LIBS = 
AMTAR = ${SHELL} /home/andrewk/Documents/P2P/dissector/wireshark-1.4.7/missing --run tar
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /home/andrewk/Documents/P2P/dissector/wireshark-1.4.7/missing --run autoconf
AUTOHEADER = ${SHELL} /home/andrewk/Documents/P2P/dissector/wireshark-1.4.7/missing --run autoheader
AUTOMAKE = ${SHELL} /home/andrewk/Documents/P2P/dissector/wireshark-1.4.7/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CC_FOR_BUILD = gcc
CFLAGS = -DINET6 -D_U_="__attribute__((unused))" -g -O2 -Wall -W -Wextra -Wdeclaration-after-statement -Wendif-labels -Wpointer-arith -Wno-pointer-sign -Warray-bounds -Wcast-align -Wformat-security -I/usr/local/include -pthread -D_REENTRANT -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12   -I/usr/include/pcap
CORESERVICES_FRAMEWORKS = 
CPP = gcc -E
CPPFLAGS =  -I/usr/local/include -I/usr/include/pcap '-DPLUGIN_DIR="$(plugindir)"'
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -pthread -D_REENTRANT -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12  
CYGPATH_W = echo
C_ARES_LIBS = 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DOXYGEN = 
DSYMUTIL = 
DUMPBIN = 
DUMPCAP_GROUP = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ELINKS = 
ENABLE_STATIC = 
EXEEXT = 
FGREP = /bin/grep -F
FLEX_PATH = 
FOP = 
GEOIP_LIBS = 
GETOPT_LO = 
GLIB_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GLIB_GENMARSHAL = glib-genmarshal
GLIB_LIBS = -Wl,--export-dynamic -pthread -lgmodule-2.0 -lrt -lglib-2.0  
GLIB_MKENUMS = glib-mkenums
GOBJECT_QUERY = gobject-query
GREP = /bin/grep
GTK_CFLAGS = -pthread -D_REENTRANT -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12  
GTK_LIBS = -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  
HAVE_BLESS = no
HAVE_DOXYGEN = no
HAVE_DPKG_BUILDPACKAGE = yes
HAVE_ELINKS = no
HAVE_FOP = no
HAVE_HDIUTIL = no
HAVE_HHC = no
HAVE_LYNX = no
HAVE_OSX_PACKAGING = no
HAVE_PKGMK = no
HAVE_PKGPROTO = no
HAVE_PKGTRANS = no
HAVE_RPM = 
HAVE_SVR4_PACKAGING = no
HAVE_XCODEBUILD = no
HAVE_XMLLINT = yes
HAVE_XSLTPROC = yes
HHC = 
HTML_VIEWER = /usr/bin/xdg-open
INET_ATON_LO = 
INET_NTOP_LO = 
INET_PTON_LO = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
KRB5_CONFIG = 
KRB5_LIBS = 
LAUNCHSERVICES_FRAMEWORKS = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -Wl,--as-needed -L/usr/local/lib -L/usr/local/lib -L/usr/local/lib -L/usr/local/lib -L/usr/local/lib
LDFLAGS_SHAREDLIB = 
LEX = /usr/bin/flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBCAP_LIBS = 
LIBGCRYPT_CFLAGS = 
LIBGCRYPT_CONFIG = no
LIBGCRYPT_LIBS = 
LIBGNUTLS_CFLAGS = 
LIBGNUTLS_LIBS = 
LIBOBJS = 

# Libs must be cleared, or else libtool won't create a shared module.
# If your module needs to be linked against any particular libraries,
# add them here.
LIBS = 
LIBSMI_CFLAGS = 
LIBSMI_LDFLAGS = 
LIBSMI_VERSION = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = ./ltmain.sh
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LUA_INCLUDES = 
LUA_LIBS = 
LYNX = 
MAKEINFO = ${SHELL} /home/andrewk/Documents/P2P/dissector/wireshark-1.4.7/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
NSL_LIBS = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = wireshark
PACKAGE_BUGREPORT = 
PACKAGE_NAME = wireshark
PACKAGE_STRING = wireshark 1.4.7
PACKAGE_TARNAME = wireshark
PACKAGE_URL = 
PACKAGE_VERSION = 1.4.7
PATH_SEPARATOR = :
PCAP_CONFIG = 
PCAP_LIBS = -lpcap
PCRE_LIBS = 
PERL = /usr/bin/perl
PKG_CONFIG = /usr/bin/pkg-config
PLUGIN_LIBS = 
POD2HTML = /usr/bin/pod2html
POD2MAN = /usr/bin/pod2man
PORTAUDIO_INCLUDES = 
PORTAUDIO_LIBS = 
PYTHON = /usr/bin/python
PY_CFLAGS = 
PY_LIBS = 
RANLIB = ranlib
SED = /bin/sed
SETCAP = /sbin/setcap
SET_MAKE = 
SHELL = /bin/bash
SOCKET_LIBS = 
SSL_LIBS = 
STRERROR_LO = 
STRIP = strip
STRNCASECMP_LO = 
STRPTIME_C = 
STRPTIME_LO = 
VERSION = 1.4.7
XMLLINT = /usr/bin/xmllint
XSLTPROC = /usr/bin/xsltproc
YACC = bison -y
YACCDUMMY = /usr/bin/bison
YFLAGS = 
abs_builddir = /home/andrewk/Documents/P2P/dissector/wireshark-1.4.7/plugins/swift
abs_srcdir = /home/andrewk/Documents/P2P/dissector/wireshark-1.4.7/plugins/swift
abs_top_builddir = /home/andrewk/Documents/P2P/dissector/wireshark-1.4.7
abs_top_srcdir = /home/andrewk/Documents/P2P/dissector/wireshark-1.4.7
ac_ct_CC = gcc

=== debian/changelog ===
tribler (6.2.0+git20130731.149555fa-1ubuntu1) trusty; urgency=low

  * Port to avconv.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 24 Nov 2013 14:51:04 +0000

tribler (6.2.0+git20130731.149555fa-1) unstable; urgency=low

  * New upstream release
  * Remove debian/patches. Applied upstreamed.
  * Bump Standards-Version to 3.9.4: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 21 Sep 2013 00:13:03 +0800

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,23 @@
 Source: tribler
 Section: net
 Priority: optional
-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), python, libevent-dev
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
+Build-Depends: debhelper (>= 9),
+               dpkg-dev (>= 1.16.1~),
+               libevent-dev (>= 2.0.17),
+               python (>= 2.6.6-3~),
+               scons
+Standards-Version: 3.9.4
 Homepage: http://www.tribler.org/
 
 Package: tribler
 Architecture: all
-Depends: ffmpeg,
+Depends: libav-tools,
          libjs-mootools,
          python-apsw,
          python-feedparser,
+         python-libtorrent,
          python-m2crypto,
          python-netifaces,
          python-wxgtk2.8,

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 DEB_SOURCE := $(shell dpkg-parsechangelog | grep Source: | sed -e 's/Source: //')
 DEB_VERSION := $(shell dpkg-parsechangelog | grep Version: | sed -e 's/Version: //')
 DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -e 's/-[^-]*$$//')
-SVN_URL = http://svn.tribler.org/abc/branches/mainbranch/
+GIT_URL = https://github.com/Tribler/tribler.git
 
 %:
 	dh $@ --with python2 
@@ -26,6 +26,8 @@
 	chmod a-x Tribler/Tools/pipe-arnocam-jip.sh
 	chmod a-x Tribler/Tools/pipe-babscam-h264-mp3.sh
 	chmod a-x Tribler/Tools/pipe-babscam-mpeg4-mp3-sync.sh
+	chmod a+x Tribler/community/demers/das4/demers.conf
+	chmod a+x Tribler/community/privatesearch/das4/search.conf
 	dh_auto_configure
 
 override_dh_auto_build:
@@ -46,6 +48,8 @@
 	rm -rf $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/SwiftEngine
 	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/Utility/Feeds/feedparser.py
 	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/webUI/static/mootools.js
+	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Core/DecentralizedTracking/pymdht/LGPL-2.1.txt
+
 	dh_link -ptribler usr/share/javascript/mootools/mootools.js usr/share/tribler/Tribler/Main/webUI/static/mootools.js
 
 override_dh_auto_clean:
@@ -53,19 +57,18 @@
 	dh_auto_clean
 
 get-orig-source:
-	set -e; if echo $(DEB_VERSION) | grep -c "svn"; \
+	set -e; if echo $(DEB_VERSION) | grep -c "git"; \
 	then \
-		svn_version=`echo $(DEB_VERSION) | sed -e 's/^.*svn\([0-9]*\)*\.\(.*\)-.*$$/\2/g'`; \
+		git_version=`echo $(DEB_VERSION) | sed -e 's/^.*git\([0-9]*\)*\.\(.*\)-.*$$/\2/g'`; \
 	else \
-		svn_version=$(DEB_UPSTREAM_VERSION); \
+		git_version=$(DEB_UPSTREAM_VERSION); \
 	fi; \
 	tmpdir=`mktemp -d -t`; \
 	cd $$tmpdir; \
 	echo "checkout upstream repository ..."; \
-	svn checkout --no-auth-cache --non-interactive --trust-server-cert --ignore-externals -r $$svn_version $(SVN_URL) tribler; echo "getting specific upstream revision/tag: $$svn_version"; \
-	svn checkout --no-auth-cache --non-interactive --trust-server-cert -r $$svn_version http://svn.tribler.org/libswift/branches/arno/swift-like-ftp tribler/Tribler/SwiftEngine; echo "getting specific upstream revision/tag: $$svn_version"; \
-	svn checkout --no-auth-cache --non-interactive --trust-server-cert -r $$svn_version http://svn.tribler.org/dispersy/trunk tribler/Tribler/dispersy; echo "getting specific upstream revision/tag: $$svn_version"; \
-	tar --exclude=.svn --exclude='*.exe' --exclude='draft-ietf-ppsp-*' \
+	git clone --recursive $(GIT_URL); echo "getting specific upstream revision/tag: $$git_version"; \
+	cd `ls | head -n 1`; git checkout -b orig $$git_version; cd ..; \
+	tar --exclude=.git --exclude=.gitignore --exclude='*.exe' --exclude='draft-ietf-ppsp-*' \
 	-cJvf $(CURDIR)/$(DEB_SOURCE)_$(DEB_UPSTREAM_VERSION).orig.tar.xz `ls | head -n 1`; \
 	cd $(CURDIR); \
 	rm -rf $$tmpdir

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
opts=dversionmangle=s/\+svn.*$// \
http://www.tribler.org/trac/wiki/Download .*/tribler/archive/v([^-]*)\.zip

## tribler 6.3.1+git20140902.9a5a2604

=== Tribler/SwiftEngine/Makefile ===

# Remove NDEBUG define to trigger asserts
CPPFLAGS+=-O2 -I. -DNDEBUG -Wall -Wno-sign-compare -Wno-unused -g -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -DOPENSSL
LDFLAGS+=-levent -lstdc++ -lssl -lcrypto

all: swift-dynamic

swift: swift.o sha1.o compat.o sendrecv.o send_control.o hashtree.o bin.o binmap.o channel.o transfer.o httpgw.o statsgw.o cmdgw.o avgspeed.o avail.o storage.o zerostate.o zerohashtree.o livehashtree.o live.o api.o content.o swarmmanager.o address.o livesig.o exttrack.o

swift-static: swift
	g++ ${CPPFLAGS} -o swift *.o ${LDFLAGS} -static -lrt
	strip swift
	touch swift-static

swift-dynamic: swift
	g++ ${CPPFLAGS} -o swift *.o ${LDFLAGS} 
	touch swift-dynamic

clean:
	rm -f *.o swift swift-static swift-dynamic 2>/dev/null

.PHONY: all clean swift swift-static swift-dynamic

=== Tribler/SwiftEngine/SConstruct ===
# Written by Victor Grishchenko, Arno Bakker 
# see LICENSE.txt for license information
#
# Requirements:
#  - scons: Cross-platform build system    http://www.scons.org/
#  - libevent2: Event driven network I/O   http://www.libevent.org/
#    * Set install path below >= 2.0.17
# For unittests:
#  - googletest: Google C++ Test Framework http://code.google.com/p/googletest/
#       * Set install path in tests/SConscript
#


import os
import sys

DEBUG = True
#CODECOVERAGE = (DEBUG and True)
CODECOVERAGE = False
WITHOPENSSL = True

TestDir = u"tests"

target = 'swift'
source = [ 'bin.cpp', 'binmap.cpp', 'sha1.cpp','hashtree.cpp',
    	   'transfer.cpp', 'channel.cpp', 'sendrecv.cpp', 'send_control.cpp', 
    	   'compat.cpp','avgspeed.cpp', 'avail.cpp', 'cmdgw.cpp', 'httpgw.cpp',
           'storage.cpp', 'zerostate.cpp', 'zerohashtree.cpp',
           'api.cpp', 'content.cpp', 'live.cpp', 'swarmmanager.cpp', 
           'address.cpp', 'livehashtree.cpp', 'livesig.cpp', 'exttrack.cpp']
# cmdgw.cpp now in there for SOCKTUNNEL

env = Environment()
if sys.platform == "win32":
    # get default environment
    include = os.environ.get("INCLUDE", u"")
    libpath = os.environ.get("LIBPATH", u"")
    cxxpath = os.environ.get('CXXPATH', u"")

    # "MSVC works out of the box". Sure.
    # Make sure scons finds cl.exe, etc.
    env.Append ( ENV = { 'PATH' : os.environ['PATH'] } )

    # Make sure scons finds std MSVC include files
    if not include:
        print "swift: Please run scons in a Visual Studio Command Prompt"
        sys.exit(-1)

    # some library dir settings
    LIBEVENT2_PATH = u"\\build\\libevent-2.0.20-stable-debug"
    if not os.path.exists(LIBEVENT2_PATH):
        LIBEVENT2_PATH = u"\\build\\libevent-2.0.19-stable"
    if not os.path.exists(LIBEVENT2_PATH):
        LIBEVENT2_PATH = u"C:\\build\\libevent-2.0.21-stable"

    if WITHOPENSSL:
        OPENSSL_PATH = u"C:\\OpenSSL-Win32"
        if not os.path.exists(OPENSSL_PATH):
            OPENSSL_PATH = u"C:\\build\\openssl-1.0.1f"

    include += LIBEVENT2_PATH + u"\\include;"
    include += LIBEVENT2_PATH + u"\\WIN32-Code;"
    libpath += LIBEVENT2_PATH + u"\\lib;"
    libpath += LIBEVENT2_PATH + u";"
    if WITHOPENSSL:
        include += OPENSSL_PATH + u"\\include;"
        libpath += OPENSSL_PATH + u"\\lib;"
    env.Append ( ENV = { 'INCLUDE' : include } )

    cxxpath += include
    if DEBUG:
        env.Append(CXXFLAGS="/Zi /MTd")
        env.Append(LINKFLAGS="/DEBUG")
    else:
        env.Append(CXXFLAGS="/DNDEBUG") # disable asserts
    if WITHOPENSSL:
        env.Append(CXXFLAGS="/DOPENSSL")

    env.Append(CXXPATH=cxxpath)
    env.Append(CPPPATH=cxxpath)

    # getopt for win32
    source += [u'getopt.c', u'getopt_long.c']

    # Set libs to link to
    # Advapi32.lib for CryptGenRandom in evutil_rand.obj
    libs = ['ws2_32', 'libevent', 'Advapi32'] 
    if WITHOPENSSL:
        libs.append('libeay32')

    # Somehow linker can't find uuid.lib
    WINSDK_70 = u"C:\\Program Files\\Microsoft SDKs\\Windows\\v7.0"
    WINSDK_70A = u"C:\\Program Files (x86)\\Microsoft SDKs\\Windows\\v7.0A"
    WINSDK_71A = u"C:\\Program Files (x86)\\Microsoft SDKs\\Windows\\v7.1A"
    WINSDK_80A = u"C:\\Program Files (x86)\\Windows Kits\\8.0"
    WINSDK_81A = u"C:\\Program Files (x86)\\Windows Kits\\8.1"
    if os.path.exists(WINSDK_81A):
        libpath += os.path.join(WINSDK_81A, u"Lib\\winv6.3\\um\\x86") + u";"
    elif os.path.exists(WINSDK_80A):
        libpath += os.path.join(WINSDK_80A, u"Lib\\Win8\\um\\x86") + u";"
    elif os.path.exists(WINSDK_71A):
        libpath += os.path.join(WINSDK_71A, u"Lib") + u";"
    elif os.path.exists(WINSDK_70A):
        libpath += os.path.join(WINSDK_70A, u"Lib") + u";"
    elif os.path.exists(WINSDK_70):
        libpath += os.path.join(WINSDK_70, u"Lib") + u";"
    else:
        print u"swift: Cannot find Windows SDK."
        sys.exit(-1)

    # Make the swift.exe a Windows program not a Console program when used inside another prog
    if not DEBUG:
    	env.Append(LINKFLAGS="/SUBSYSTEM:WINDOWS")

    linkflags = u""

    APPSOURCE = [u'swift.cpp', u'statsgw.cpp', u'getopt.c', u'getopt_long.c']

else:
    # Linux or Mac build
    libevent2path = '/home/arno/pkgs/libevent-2.0.20-stable-debug'
    if WITHOPENSSL:
        opensslpath = '/usr/lib/i386-linux-gnu'

    # Enable the user defining external includes
    cpppath = os.environ.get('CPPPATH', '')
    if not cpppath:
        print "To use external libs, set CPPPATH environment variable to list of colon-separated include dirs"
    cpppath += libevent2path+'/include:'
    env.Append(CPPPATH=".:"+cpppath)
    #env.Append(LINKFLAGS="--static")

    #if DEBUG:
    #    env.Append(CXXFLAGS="-g")

    # Large-file support always
    env.Append(CXXFLAGS="-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE")
    if WITHOPENSSL:
        env.Append(CXXFLAGS="-DOPENSSL")

    # Set libs to link to
    libs = ['stdc++','libevent','pthread']
    if WITHOPENSSL:
        libs.append('ssl')
	libs.append('crypto')

    libpath = os.environ.get('LIBPATH', '')
    if not libpath:
        print "To use external libs, set LIBPATH environment variable to list of colon-separated lib dirs"
    libpath += libevent2path+'/lib:'
    if WITHOPENSSL:
        libpath += opensslpath

    linkflags = '-Wl,-rpath,'+libevent2path+'/lib'
    env.Append(LINKFLAGS=linkflags);

    APPSOURCE=['swift.cpp','statsgw.cpp']

env.Append(LIBPATH=libpath);

if DEBUG:
    env.Append(CXXFLAGS="-DDEBUG")

env.StaticLibrary (
    target='libswift',
    source = source,
    LIBS=libs,
    LIBPATH=libpath )

env.Program(
   target='swift',
   source=APPSOURCE,
   #CPPPATH=cpppath,
   LIBS=['libswift',libs],
   LIBPATH=libpath+':.')

Export("env")
Export("libs")
Export("linkflags")
Export("DEBUG")
Export("CODECOVERAGE")
# Uncomment the following line to build the tests
#SConscript('tests/SConscript')

=== debian/changelog ===
tribler (6.3.1+git20140902.9a5a2604-3) unstable; urgency=low

  * Add libx11-6 to Depends.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 15 Sep 2014 22:31:55 +0800

tribler (6.3.1+git20140902.9a5a2604-2) unstable; urgency=low

  * Use mktemp to generate log file in tmp. (Closes: #760561)
  * Update debian/copyright to fix the license short name missing.
  * Use libjs-excanvas.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 15 Sep 2014 14:03:11 +0800

tribler (6.3.1+git20140902.9a5a2604-1) unstable; urgency=medium

  * New upstream release
  * Remove patch use-libav-instead-of-ffmpeg.patch: included in upstream.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 05 Sep 2014 13:59:34 +0800

tribler (6.2.0+git20130731.149555fa-2) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
  * Bump Standards-Version to 3.9.5: nothing needs to be changed.
  
  [ Tobias Frost <tobi@coldtobi.de> ]
  * Use avconf instead of ffmpeg. See patch use-libav-instead-of-ffmpeg.patch
    (Closes: #721108) and change dependency accordingly to libav-tools

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 12 May 2014 02:57:29 +0800

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,33 @@
 Source: tribler
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
+Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1~),
                libevent-dev (>= 2.0.17),
+               libssl-dev,
                python (>= 2.6.6-3~),
                scons
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.tribler.org/
 
 Package: tribler
 Architecture: all
 Depends: libav-tools,
+         libjs-excanvas,
          libjs-mootools,
+         libx11-6,
          python-apsw,
+         python-cherrypy3,
          python-feedparser,
-         python-libtorrent,
+         python-gmpy,
+         python-libtorrent (>= 0.16.4),
          python-m2crypto,
          python-netifaces,
+         python-pyasn1,
+         python-twisted,
          python-wxgtk2.8,
-         tribler-swift,
+         tribler-swift (>= ${source:Version}),
          vlc (>= 1.1.0),
          ${misc:Depends},
          ${python:Depends}

=== debian/rules ===
--- 
+++ 
@@ -15,19 +15,10 @@
 GIT_URL = https://github.com/Tribler/tribler.git
 
 %:
-	dh $@ --with python2 
+	dh $@ --with python2
 
 override_dh_auto_configure:
-	chmod a-x Tribler/Tools/bitbucket-live-noauth.py
-	chmod a-x Tribler/Tools/pipe-babscam-h264-nosound-mencoder.sh
-	chmod a-x Tribler/Tools/pipe-babscam-h264-aac-gop-sync.sh
-	chmod a-x Tribler/Tools/pipe-arnocam-home.sh
-	chmod a-x Tribler/Tools/bitbucket-live.py
-	chmod a-x Tribler/Tools/pipe-arnocam-jip.sh
-	chmod a-x Tribler/Tools/pipe-babscam-h264-mp3.sh
-	chmod a-x Tribler/Tools/pipe-babscam-mpeg4-mp3-sync.sh
-	chmod a+x Tribler/community/demers/das4/demers.conf
-	chmod a+x Tribler/community/privatesearch/das4/search.conf
+	chmod a-x $(CURDIR)/Tribler/Core/DecentralizedTracking/pymdht/ui/images/*.png
 	dh_auto_configure
 
 override_dh_auto_build:
@@ -35,7 +26,7 @@
 	dh_auto_build
 
 override_dh_install:
-	dh_install
+	dh_install --exclude=.git
 	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Core/DecentralizedTracking/pymdht/LICENSE.txt
 	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/LICENSE.txt
 	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/vwxGUI/images/license
@@ -47,10 +38,12 @@
 	rm -rf $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Transport/Build
 	rm -rf $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/SwiftEngine
 	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/Utility/Feeds/feedparser.py
+	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Core/DecentralizedTracking/pymdht/LGPL-2.1.txt
 	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/webUI/static/mootools.js
-	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Core/DecentralizedTracking/pymdht/LGPL-2.1.txt
+	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/webUI/static/excanvas.js
 
 	dh_link -ptribler usr/share/javascript/mootools/mootools.js usr/share/tribler/Tribler/Main/webUI/static/mootools.js
+	dh_link -ptribler usr/share/javascript/excanvas/excanvas.js usr/share/tribler/Tribler/Main/webUI/static/excanvas.js
 
 override_dh_auto_clean:
 	make -C $(CURDIR)/Tribler/SwiftEngine clean || echo "SwiftEngine cleaned"
